# Uses of Interface
java.nio.file.FileVisitor

Packages that use FileVisitor
Package
Description
java.nio.file
Defines interfaces and classes for the Java virtual machine to access files, file attributes, and file systems.

## Uses of FileVisitor in java.nio.file

Classes in java.nio.file that implement FileVisitor
Modifier and Type
Class
Description
`class`
`SimpleFileVisitor<T>`
A simple visitor of files with default behavior to visit all files and to re-throw I/O errors.
Methods in java.nio.file with parameters of type FileVisitor
Modifier and Type
Method
Description
`static Path`
Files.`walkFileTree(Path start, FileVisitor<? super Path> visitor)`
Walks a file tree.
`static Path`
Files.`walkFileTree(Path start, Set<FileVisitOption> options, int maxDepth, FileVisitor<? super Path> visitor)`
Walks a file tree.